<!DOCTYPE html>
<html lang="es_ES" xmlns:th="http://www.thymeleaf.org" >
<head>
    <title>Web Chat test</title>
    <!--/*/ <th:block th:include="fragmentos/bs5-head.html :: head">
    </th:block> /*/-->
</head>

<body>
    <noscript>
        <h2>Sorry! Your browser doesn't support Javascript</h2>
    </noscript>
    <div class="container-fluid text-center">
        <nav th:replace="fragmentos/navbar.html :: nav">

        </nav>
        <div class="row justify-content-center">
            <div class="col-4" id="username-page">
                <div class="card" style="width: 18rem;">
                    <img src="images/chat1.webp" class="card-img-top" alt="...">
                    <div class="card-body">
                        <h5 class="card-title">Introduzca su nombre</h5>
                        <p class="card-text">El texto introducido será utilizado como su nombre de participante en la sala de conversación.</p>
                        <form id="usernameForm" name="usernameForm">
                            <input type="text" id="name" placeholder="Username" autocomplete="off" class="form-control" />
                            <button type="submit" class="accent username-submit mt-2">Entrar en la sala</button>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-5 hidden" id="chat-page">
                <div class="chat-container">
                    <div class="chat-header">
                        <h2>Spring WebSocket Chat Demo</h2>
                    </div>
                    <div class="connecting">
                        Connecting...
                    </div>
                    <ul id="messageArea">

                    </ul>
                    <form id="messageForm" name="messageForm">
                        <div class="form-group">
                            <div class="input-group clearfix">
                                <input type="text" id="message" placeholder="Type a message..." autocomplete="off" class="form-control"/>
                                <button type="submit" class="primary">Send</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <script th:replace="fragmentos/bs5-head.html :: bs5-js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.1.4/sockjs.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/stomp.js/2.3.3/stomp.js"></script>
    <script src="/js/main.js"></script>
</body>
</html>